/// <reference types="react" />
declare type BtnProps = {
    text: string;
    strong?: boolean;
    disabled?: boolean;
    onClick: () => void;
    type?: 'button' | 'submit' | 'reset';
    kind?: 'primary' | 'secondary';
};
export declare const ButtonStyle: {
    primary: string;
    secondary: string;
};
export declare function Button({ text, strong, onClick, disabled, kind, type, }: BtnProps): JSX.Element;
export declare function ButtonLink({ text, onClick, disabled, type, }: Omit<BtnProps, 'strong'>): JSX.Element;
declare type LinkBtnProps = {
    text: string;
    strong?: boolean;
    kind?: 'primary' | 'secondary';
    href: string;
    target: '_self' | '_blank';
};
export declare function LinkButton({ text, strong, kind, href, target, }: LinkBtnProps): JSX.Element;
export declare function Input({ label, name, type, }: {
    label: string;
    name: string;
    type?: 'text' | 'email';
}): JSX.Element;
export {};
